# FoundationClasses
TKMath
math

# math_GaussMultipleIntegration Class Reference

This class implements the integration of a function of multiple
variables between the parameter bounds Lower[a..b] and Upper[a..b].
Warning: Each element of Order must be inferior or equal to 61.
.

`#include <math_GaussMultipleIntegration.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_GaussMultipleIntegration (math_MultipleVarFunction &F, const math_Vector &Lower, const math_Vector &Upper, const math_IntegerVector &Order)
| The Gauss-Legendre integration with Order = points of integration for each unknow, is done on the function F between the bounds Lower and Upper. .
Standard_Boolean | IsDone () const
| returns True if all has been correctly done.
Standard_Real | Value () const
| returns the value of the integral.
Standard_EXPORT void | Dump (Standard_OStream &o) const
| Prints information on the current state of the object. .

## Private Attributes

Standard_Real | Val
Standard_Boolean | Done

## Constructor & Destructor Documentation

Standard_EXPORT math_GaussMultipleIntegration::math_GaussMultipleIntegration | ( | math_MultipleVarFunction & | F,
|  | const math_Vector & | Lower,
|  | const math_Vector & | Upper,
|  | const math_IntegerVector & | Order
| ) |

## Member Function Documentation

Standard_EXPORT void math_GaussMultipleIntegration::Dump | ( | Standard_OStream & | o | ) | const

Standard_Boolean math_GaussMultipleIntegration::IsDone | ( |  | ) | const`[inline]`

void math_GaussMultipleIntegration::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_GaussMultipleIntegration::operator new | ( | size_t | size | ) | `[inline]`

void* math_GaussMultipleIntegration::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Real math_GaussMultipleIntegration::Value | ( |  | ) | const`[inline]`

## Field Documentation

Standard_Boolean math_GaussMultipleIntegration::Done `[private]`

Standard_Real math_GaussMultipleIntegration::Val `[private]`

The documentation for this class was generated from the following files:

- math_GaussMultipleIntegration.hxx
- math_GaussMultipleIntegration.lxx